from intranet.femida.src.communications.managers import MessageManager
from intranet.femida.src.permissions.managers.base import PermManager
from intranet.femida.src.permissions.managers.candidate import CandidatePermQuery


class MessagePermManager(MessageManager, PermManager):

    _perm_query_cls = CandidatePermQuery

    def __init__(self):
        super().__init__(perm_prefix='candidate')
